#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

include /usr/share/dpkg/architecture.mk
export DEB_CFLAGS_MAINT_APPEND = -I/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-2.0/include

SKIP_TESTS=$(shell cat debian/tests/pkg-perl/smoke-skip)
TEST_FILES = $(filter-out $(SKIP_TESTS), $(wildcard t/*.t))

%:
	dh $@

override_dh_auto_test:
	xvfb-run -a dh_auto_test -- TEST_FILES="$(TEST_FILES)"
